<template>
    <b-row align-v="center" class="mb-3">
        <b-col cols="4">
            <label>{{label}}</label>
        </b-col>
        <b-col :cols="cols">
           <b-form-select value-field="value"
              text-field="text"
              v-model="inputValue"
              :options="options"></b-form-select>
        </b-col>
    </b-row>
</template>

<script lang="ts">
/* eslint-disable class-methods-use-this */
/* eslint-disable @typescript-eslint/explicit-module-boundary-types */
import Component from 'vue-class-component';
import BaseComponent from '../BaseComponent';

@Component({
  props: {
    label: String,
    options: { default: [] },
    cols: { default: 8 },
    labelcols: { default: 4 },
    value: {},
  },
})
export default class FormComboInput extends BaseComponent {
  label!:string;

  value:any;

  // cols!:number;

  // model:any=null;
  get inputValue() {
    return this.value;
  }

  set inputValue(val) {
    this.$emit('input', val);
  }
}
</script>

<style scoped lang="less">

</style>
